<?php

namespace KupShop\ContentBundle\AdminRegister;

use KupShop\AdminBundle\AdminRegister\AdminRegister;
use KupShop\AdminBundle\AdminRegister\IAdminRegisterStatic;

class InfoPanelListRegister extends AdminRegister implements IAdminRegisterStatic
{
    public static function getMenu(): array
    {
        return [
            static::createMenuItem('contentMenu', [
                'name' => 'InfoPanelList',
                'title' => 'Informační panely',
                'left' => 's=menu.php&type=InfoPanel',
                'right' => 's=list.php&type=InfoPanel',
            ]),
        ];
    }

    public static function getPermissions(): array
    {
        return [
            static::createPermissions('InfoPanel', [], ['INFOPANEL']),
        ];
    }
}
